<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui">

<h:body>

	<h1>Master page</h1>

	<h:form id="form">

		<h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
			<p:outputLabel for="console" value="Console:" />
			<p:selectOneRadio id="console" value="#{managedBeanExample.console}"
				unselectable="true">
				<f:selectItem itemLabel="Xbox One" itemValue="Xbox One" />
				<f:selectItem itemLabel="PS4" itemValue="PS4" />
				<f:selectItem itemLabel="Wii U" itemValue="Wii U" />
			</p:selectOneRadio>
		</h:panelGrid>

		<h:panelGroup rendered="#{managedBeanExample.rendered()}">
			<ui:include src="./include/include_1.xhtml">
				<ui:param name="param" value="#{managedBeanExample.alunos}" />
			</ui:include>
		</h:panelGroup>


		<h:panelGroup rendered="#{!managedBeanExample.rendered()}">
			<ui:include src="./include/include_2.xhtml">
				<ui:param name="param" value="Another parameter" />
			</ui:include>
		</h:panelGroup>

		<br />

		<h:commandButton action="#{managedBeanExample.toggleState()}"
			update="form" value="Show/Hide">

		</h:commandButton>
	</h:form>


	<p:dataTable var="employee" value="#{managedBeanExample.employeeList}">
		<p:column headerText="Id">
			<h:outputText value="#{employee.id}" />
		</p:column>

		<p:column headerText="Name">
			<h:outputText value="#{employee.name}" />
		</p:column>

		<p:column headerText="Phone Number">
			<h:outputText value="#{employee.phoneNumber}" />
		</p:column>

		<p:column headerText="Address">
			<h:outputText value="#{employee.address}" />
		</p:column>
	</p:dataTable>

</h:body>
</html>
